#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"質問に答えてね!"
puts"あなたは何月何日生まれですか"
puts"1:1月20日〜2月18日"
puts"2:2月19日〜3月20日"
puts"3:3月21日〜4月19日"
puts"4:4月20日〜5月20日"
puts"5:5月21日〜6月21日"
puts"6:6月22日〜7月22日"
puts"7:7月23日〜8月22日"
puts"8:8月23日〜9月22日"
puts"9:9月23日〜10月23日"
puts"10:10月24日〜11月21日"
puts"11:11月22日〜12月21日"
puts"12:12月22日〜1月19日"

while true
puts"12個の中から選んでね!"
kotae=gets.chomp.to_i
if kotae==1
  puts"あなたは水瓶座!"
  puts"水瓶座はクイズを作るのも解くのも得意!友達にクイズを出したら喜ばれるかも?"
elsif kotae==2
  puts"あなたは魚座!"
  puts"魚座は愛される末っ子キャラ!あなたも友達から愛されるかも!"
elsif kotae==3
  puts"あなたは牡羊座!"
  puts"スポーツが得意な牡羊座。あなたの身体能力に一目惚れ!"
elsif kotae==4
  puts"あなたは牡牛座!"
  puts"牡牛座はグルメに対するこだわりが強い!あなたはどんな食べ物が好き?"
elsif kotae==5
  puts"あなたは双子座!"
  puts"流行には目がない双子座。あなたも流行の最先端、キャッチかも?"
elsif kotae==6
  puts"あなたは蟹座!"
  puts"家族愛、友人愛が強い蟹座。あなたの素敵な友人は誰ですか?"
elsif kotae==7
  puts"あなたは獅子座!"
  puts"有名人の話が大好きな獅子座。あなたが好きな有名人はだれ?"
elsif kotae==8
  puts"あなたは乙女座!"
  puts"健康、ヘルシーが大好きな乙女座。あなたが健康に気を使っていることは?"
elsif kotae==9
  puts"あなたは天秤座!"
  puts"天秤座はファッションセンス抜群だったらしい。あなたもセンスありですね!"
elsif kotae==10
  puts"あなたは蠍座!"
  puts"蠍座はホラー、ミステリーが大好き!あなたは怖い話、好き?"
elsif kotae==11
  puts"あなたは射手座!"
  puts"海外に詳しい射手座。あなたが行きたい国はどこ?"
elsif kotae==12
  puts"あなたは山羊座!"
  puts"歴史が好きな山羊座。あなたが好きな戦国武将は誰?"
else
  puts"その選択肢はないよ!もしやあなたは餃子ですね?!タレをつけて食べちゃいますよ!"
  redo
end
break
end
